Bug 516521 - Review Request: globus-mp - Globus Toolkit - Message Passing Library
Summary: Review Request: globus-mp - Globus Toolkit - Message Passing Library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 516522
TreeView+ depends on / blocked
 
Reported: 2009-08-10 11:02 UTC by Mattias Ellert
Modified: 2009-11-03 01:59 UTC (History)
4 users (show)

Fixed In Version: 2.1-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-21 00:35:37 UTC
steve.traylen: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Mattias Ellert 2009-08-10 11:02:06 UTC
Spec URL: http://www.grid.tsl.uu.se/review/globus-mp,spec
SRPM URL: http://www.grid.tsl.uu.se/review/globus-mp-2.1-1.fc11.src.rpm

Description:
The Globus Toolkit is an open source software toolkit used for building Grid
systems and applications. It is being developed by the Globus Alliance and
many others all over the world. A growing number of projects and companies are
using the Globus Toolkit to unlock the potential of grids for their cause.

The globus-mp package contains:
Message Passing Library

Globus Toolkit Packaging Guidelines:
https://fedoraproject.org/wiki/Packaging:Globus

Comment 1 Steve Traylen 2009-09-14 19:39:46 UTC
$ rpmlint ../RPMS/x86_64/globus-mp-*
globus-mp-devel.x86_64: W: no-dependency-on globus-mp/globus-mp-libs/libglobus-mp

first one is the same as another globus-gfork package so a reason for one
of them good enough.

Koji build fine.
https://koji.fedoraproject.org/koji/taskinfo?taskID=1678401

Again a better description of what the message passing library is for might
be useful.
 Steve

Comment 2 Mattias Ellert 2009-10-09 14:26:22 UTC
The globus-mp package is admittedly one of the least documented globus packages, and there are not very many comments in the code that give many hint to what the package does. The reason I packaged it is that it is part of the dependency chain for the globus gram job-manager.

The only thing I have found that vaguely resembles a slightly longer description is "Simple wrapper around message passing libraries", which doesn't say very much more than the current description "Message Passing Library", which is extracted from the package meta data.

The rpmlint warning is no longer present with the latest rpmlint version.

Comment 3 Steve Traylen 2009-10-14 20:18:39 UTC
Review of globus-mp:

MUST:

yes: 
$ rpmlint globus-mp.spec ../SRPMS/globus-mp-2.1-1.fc11.src.rpm ../RPMS/x86_64/globus-mp-*
globus-mp-devel.x86_64: W: no-documentation
4 packages and 1 specfiles checked; 0 errors, 1 warnings.

which is fine.

yes: Package name - globus guidelines
yes: Spec File name - globus guidelines
yes: Packaging guidelines
yes: Apache 2.0
yes: .spec ASL 2.0
yes: GLOBUS_LICENSE included.
yes: american english.
yes: Upstream source matches.
$ diff -r --brief gt4.2.1-all-source-installer/source-trees/mp/source ~/rpmbuild/SOURCES/globus_mp-2.1/
Only in /home/steve/rpmbuild/SOURCES/globus_mp-2.1/: GLOBUS_LICENSE

which is expected.

yes: builds as per koji build above.
yes: locales not present.
yes: Calls ldconfig appropriate
yes: No system libs included.
yes: not relocatable.
yes: All files and directories created in the package are owned.
yes: files not listed twice.
yes: defattr used everywhere.
yes: Buildroot is removed in %clean.
yes: consistant macros
yes: no large docs.
yes: docs not needed runtime.
yes: headers in -devel file.
yes: libs correctly in -devel package.
yes: main package is needed by devel package.
yes: no .la files present.
yes: no gui.
yes: does not own files belonging to other packages.
yes: buildroot removed in %install.
yes: utf8

APPROVED

Steve

Comment 4 Mattias Ellert 2009-10-16 15:07:44 UTC
New Package CVS Request
=======================
Package Name: globus-mp
Short Description: Globus Toolkit - Message Passing Library
Owners: ellert
Branches: F-11 F-12 EL-4 EL-5
InitialCC:

Comment 5 Kevin Fenzi 2009-10-17 20:43:56 UTC
cvs done.

Comment 6 Thomas Spura 2009-10-19 01:47:24 UTC
"Install license file" looks bad...

What about a

%doc GLOBUS_LICENSE

instead of 

%doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE

?

Comment 7 Mattias Ellert 2009-10-19 11:22:27 UTC
(In reply to comment #6)
> "Install license file" looks bad...
> 
> What about a
> 
> %doc GLOBUS_LICENSE
> 
> instead of 
> 
> %doc %{_docdir}/%{name}-%{version}/GLOBUS_LICENSE
> 
> ?  

Using %doc on a non-installed file implies an implicit rm -rf on the doc directory. For this particular package that lacks doxygen documentation in the sources this would be harmless since there are no files installed there, but this is not the case for properly documented Globus packages. In order to decrease the effort needed to maintain the Globus packages the differences between the specfiles for the different packages should be kept at a minimum. For this reason the lines in the specfile that are responsible for the packaging of the license file is kept the same for all Globus packages.

Comment 8 Fedora Update System 2009-10-19 17:37:02 UTC
globus-mp-2.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/globus-mp-2.1-1.fc12

Comment 9 Fedora Update System 2009-10-19 17:37:07 UTC
globus-mp-2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/globus-mp-2.1-1.fc11

Comment 10 Fedora Update System 2009-10-19 17:37:07 UTC
globus-mp-2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/globus-mp-2.1-1.el5

Comment 11 Fedora Update System 2009-10-19 17:37:13 UTC
globus-mp-2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/globus-mp-2.1-1.el4

Comment 12 Fedora Update System 2009-10-21 00:35:32 UTC
globus-mp-2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-03 01:56:54 UTC
globus-mp-2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-03 01:59:48 UTC
globus-mp-2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.